const DB_PATH = process.env.DB_PATH;
const db = require('better-sqlite3')(DB_PATH);

export async function get(req, res, next) {
  const { term } = req.params;
  if (!term) next()
  const items = db
    .prepare(`SELECT id, lemma
              FROM lemmas
              WHERE lemma
                LIKE ?
              ORDER BY lemma
                COLLATE NOCASE ASC
            `)
    .all(`${term}%`)
	if (items.length>0) {
    res.setHeader("Access-Control-Allow-Origin", "*");
		res.setHeader('Content-Type', 'application/json');
		res.end(JSON.stringify(items));
	} else {
    res.writeHead(404, { 'Content-Type': 'application/json' });
    res.end();
	}
}